#ifndef zetsubou_StyleDef
#define zetsubou_StyleDef
//setting of style in DrawHist and DrawScat

void zetsubou::SetHistStyle()
{
  Int_t fon=22;
  gROOT->SetStyle("Plain");
  //gStyle->SetOptTitle(0);//delete titile
  gStyle->SetOptTitle(1);
  //gStyle->SetOptStat(0000000);//delete Status
  gStyle->SetOptStat(1111111);
  //gStyle->SetOptFit(0000);//delete Fit Status
  gStyle->SetOptFit(1100);
  gStyle->SetPadLeftMargin(0.05);
  gStyle->SetPadRightMargin(0.31);
  gStyle->SetPadBottomMargin(0.1);
  gStyle->SetPadTopMargin(0.12);  
  gStyle->SetTitleXOffset(1.1);
  gStyle->SetPadGridX(1);
  gStyle->SetPadGridY(1);
  gStyle->SetHistLineWidth(3);
  gStyle->SetTitleYOffset(1.1);//1.1
  gStyle->SetTitleFont(fon);
  gStyle->SetTitleFont(fon,"Y");
  gStyle->SetLabelFont(fon);
  gStyle->SetLabelFont(fon,"Y");
  gStyle->SetTextFont(fon);
  gStyle->SetStatFont(fon);
  gStyle->SetStatFontSize(0.03);
  gStyle->SetPadTickX(1);
  gStyle->SetPadTickY(1);
  gStyle->SetStatH(0.1);
  gStyle->SetStatW(0.28);
  gStyle->SetStatY(0.88);
  gStyle->SetLabelSize(0.03,"x");
  gStyle->SetLabelSize(0.03,"y");
  if(canvas)canvas->UseCurrentStyle();//update canvas 
  whichstyle = HIST;
}

void zetsubou::SetScatStyle()
{
  Int_t fon=22;
  gROOT->SetStyle("Plain");
  //gStyle->SetOptTitle(0);//delete titile
  gStyle->SetOptTitle(1);
  //gStyle->SetOptStat(0000000);//delete Status
  gStyle->SetOptStat("em");
  //gStyle->SetOptFit(0000);//delete Fit Status
  gStyle->SetOptFit(1111);
  gStyle->SetPadGridX(2);
  gStyle->SetPadGridY(2);
  gStyle->SetTitleFont(fon);
  gStyle->SetTitleFont(fon,"Y");
  gStyle->SetLabelFont(fon);
  gStyle->SetLabelFont(fon,"Y");
  gStyle->SetTextFont(fon);
  gStyle->SetStatFont(fon);
  gStyle->SetStatFontSize(0.03);
  gStyle->SetLabelSize(0.03,"x");
  gStyle->SetLabelSize(0.03,"y");
  gStyle->SetHistLineWidth(1);
  gStyle->SetPadLeftMargin(0.1);
  gStyle->SetPadRightMargin(0.1);
  gStyle->SetPadBottomMargin(0.1);
  gStyle->SetTitleXOffset(1);
  gStyle->SetTitleYOffset(1.1);
  gStyle->SetPadTickX(1);
  gStyle->SetPadTickY(1);
  gStyle->SetStatH(0.19);
  if(canvas)canvas->UseCurrentStyle(); 
  whichstyle = SCAT;
}
#endif  //StyleDef.h
